"""
Interoperability module used to call Rust from Python.

Contains functions that are used in speeding up the game of life simulation.
"""

import numpy as np
import numpy.typing as npt


def update_cells(cur: npt.NDArray[np.uint8]) -> npt.NDArray[np.uint8]:
    """
    Updates cells in the game of life simulation.

    :param cur: current state of the board
    :return: new state of the board
    """
